﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <UserSecretsId>aspnet-TestingService-4C9CF2E1-8AA2-4CF8-B946-01292B7FF2DE</UserSecretsId>
    <WebProject_DirectoryAccessLevelKey>0</WebProject_DirectoryAccessLevelKey>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="11.0.1" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="11.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="6.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="6.0.5">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="6.0.5" />
    <PackageReference Include="Microsoft.IdentityModel.Tokens" Version="6.19.0" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="6.19.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\TestingService.BLL\TestingService.BLL.csproj" />
    <ProjectReference Include="..\TestingService.DAL\TestingService.DAL.csproj" />
  </ItemGroup>

</Project>
